package com.huimv.admin.service.secondary.impl;

import com.huimv.admin.domain.secondary.DpSjlrSy;
import com.huimv.admin.repo.secondary.DpSjlrSyRepo;
import com.huimv.admin.service.secondary.IDpSjlrSyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.admin.service.secondary.impl
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/1/12 0012 11:18
 **/
@Service
public class IDpSjlrSyServiceImpl implements IDpSjlrSyService {

    @Autowired
    private DpSjlrSyRepo dpSjlrSyRepo;

    @Override
    public Map find() {
        List<DpSjlrSy> allByMCID = dpSjlrSyRepo.findAllByMCID(39);
        Map map = new HashMap();
        map.put("存栏种猪",allByMCID.get(0).getCLSJZZ());
        map.put("保育存栏",allByMCID.get(0).getCLSJBYZ());
        map.put("育肥存栏",allByMCID.get(0).getCLSJYFZ());

        return map;
    }
}
